<?php
/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<? if (is_array($content[policies])) { ?>

<? if (am_i_server_admin(3)) { ?>
<form action="" method="post" enctype="multipart/form-data">
	<table>
		<tr>
			<th><a title="sort by" href="<? echo $content[domains_table][th][policy_name]; ?>">Policy name</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][virus_lover]; ?>">Virus lover</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][spam_lover]; ?>">Spam lover</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][banned_files_lover]; ?>">Banned files lover</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][banned_header_lover]; ?>">Bad header lover</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][bypass_virus_checks]; ?>">Bypass virus checks</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][bypass_spam_checks]; ?>">Bypass spam checks</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][bypass_banned_checks]; ?>">Bypass banned checks</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][bypass_header_checks]; ?>">Bypass header checks</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][spam_modifies_subj]; ?>">Spam modifies subject</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][spam_quarantine_to]; ?>">Spam quarantine to</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][spam_tag_level]; ?>">Spam tag level</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][spam_tag2_level]; ?>">Spam tag2 level</a></th>
			<th><a title="sort by" href="<? echo $content[domains_table][th][spam_kill_level]; ?>">Spam kill level</a></th>
			<th>Action</th>
		</tr>

	<? foreach ($content[policies] as $k => $v) { ?>
		<tr>
			<td><input class="input-text" type="text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][policy_name]; ?>]" id="" value="<? echo $v[policy_name]; ?>" /></td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][virus_lover]; ?>]" id="">
					<option <? fill_check_input($v[virus_lover], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[virus_lover], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_lover]; ?>]" id="">
					<option <? fill_check_input($v[spam_lover], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[spam_lover], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][banned_files_lover]; ?>]" id="">
					<option <? fill_check_input($v[banned_files_lover], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[banned_files_lover], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bad_header_lover]; ?>]" id="">
					<option <? fill_check_input($v[bad_header_lover], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[bad_header_lover], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bypass_virus_checks]; ?>]" id="">
					<option <? fill_check_input($v[bypass_virus_checks], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[bypass_virus_checks], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bypass_spam_checks]; ?>]" id="">
					<option <? fill_check_input($v[bypass_spam_checks], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[bypass_spam_checks], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bypass_banned_checks]; ?>]" id="">
					<option <? fill_check_input($v[bypass_banned_checks], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[bypass_banned_checks], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bypass_header_checks]; ?>]" id="">
					<option <? fill_check_input($v[bypass_header_checks], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[bypass_header_checks], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_modifies_subj]; ?>]" id="">
					<option <? fill_check_input($v[spam_modifies_subj], "select", "Y"); ?> value="Y" >yes</option>
					<option <? fill_check_input($v[spam_modifies_subj], "select", "N"); ?> value="N" >no</option>
				</select>
			</td>
			<td><input class="input-text" type="text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_quarantine_to]; ?>]" id="" value="<? echo $v[spam_quarantine_to]; ?>" /></td>
			<td class="input-numeric"><input class="input-text input-numeric" type="text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_tag_level]; ?>]" id="" value="<? echo $v[spam_tag_level]; ?>" /></td>
			<td class="input-numeric"><input class="input-text input-numeric" type="text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_tag2_level]; ?>]" id="" value="<? echo $v[spam_tag2_level]; ?>" /></td>
			<td class="input-numeric"><input class="input-text input-numeric" type="text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_kill_level]; ?>]" id="" value="<? echo $v[spam_kill_level]; ?>" /></td>
			<td>
				<div class="action-checkbox">
					<input type="radio" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][action]; ?>]" id="mod<? echo $v[id]; ?>" value="<? echo $content[forms][policy][mod]; ?>" />
					<label for="mod<? echo $v[id]; ?>">Edit</label>
				</div>
				<div class="action-checkbox">
					<input type="radio" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][action]; ?>]" id="del<? echo $v[id]; ?>" value="<? echo $content[forms][policy][del]; ?>" />
					<label for="del<? echo $v[id]; ?>">Delete</label>
				</div>
				<? if (am_i_server_admin(4)) { ?>
				<div class="action-checkbox">
					<input type="radio" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][action]; ?>]" id="nothing<? echo $v[id]; ?>" value="" />
					<label for="nothing<? echo $v[id]; ?>">Nothing</label>
				</div>
				<? } ?>

			</td>
		</tr>
	<? } ?>
	</table>
	<input class="input-checkbox" type="checkbox" name="<? echo $content[forms][policy][confirm]; ?>" id="confirm" value="1" /><label for="confirm">Check to confirm</label>
	<input class="input-submit" type="submit" name="<? echo $content[forms][policy][submit_mod_del]; ?>" value="Edit policy(ies)" />
</form>
<? } else { ?>
	<table>
		<tr>
			<th>Policy name</th>
			<th>Virus lover</th>
			<th>Spam lover</th>
			<th>Banned files lover</th>
			<th>Bad header lover</th>
			<th>Bypass virus checks</th>
			<th>Bypass spam checks</th>
			<th>Bypass banned checks</th>
			<th>Bypass header checks</th>
			<th>Spam modifies subject</th>
			<th>Spam quarantine to</th>
			<th>Spam tag level</th>
			<th>Spam tag2 level</th>
			<th>Spam kill level</th>
		</tr>
	<? foreach ($content[policies] as $k => $v) { ?>
		<tr>
			<td><? echo $v[policy_name]; ?></td>
			<td><? echo $v[virus_lover]; ?></td>
			<td><? echo $v[spam_lover]; ?></td>
			<td><? echo $v[banned_files_lover]; ?></td>
			<td><? echo $v[bad_header_lover]; ?></td>
			<td><? echo $v[bypass_virus_checks]; ?></td>
			<td><? echo $v[bypass_spam_checks]; ?></td>
			<td><? echo $v[bypass_banned_checks]; ?></td>
			<td><? echo$v[bypass_header_checks]; ?></td>
			<td><? echo $v[spam_modifies_subj]; ?></td>
			<td><? echo $v[spam_quarantine_to]; ?></td>
			<td class="input-numeric"><? echo $v[spam_tag_level]; ?></td>
			<td class="input-numeric"><? echo $v[spam_tag2_level]; ?></td>
			<td class="input-numeric"><? echo $v[spam_kill_level]; ?></td>
		</tr>
	<? } ?>
	</table>
<? } ?>

<? } // is array policies ?>

<? if (am_i_server_admin(2)) { ?>
<? /* Add new policy form */ ?>
<form action="" method="post" enctype="multipart/form-data">
	<table>
		<tr>
			<th>Policy name</th>
			<th>Virus lover</th>
			<th>Spam lover</th>
			<th>Banned files lover</th>
			<th>Bad header lover</th>
			<th>Bypass virus checks</th>
			<th>Bypass spam checks</th>
			<th>Bypass banned checks</th>
			<th>Bypass header checks</th>
			<th>Spam modifies subject</th>
			<th>Spam quarantine to</th>
			<th>Spam tag level</th>
			<th>Spam tag2 level</th>
			<th>Spam kill level</th>
		</tr>
		<tr>
			<td><input class="input-text" type="text" name="<? echo $content[forms][policy][policy_name]; ?>" id="" value="" /></td>
			<td><select name="<? echo $content[forms][policy][virus_lover]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $content[forms][policy][spam_lover]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $content[forms][policy][banned_files_lover]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $content[forms][policy][bad_header_lover]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $content[forms][policy][bypass_virus_checks]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $content[forms][policy][bypass_spam_checks]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $content[forms][policy][bypass_banned_checks]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $content[forms][policy][bypass_header_checks]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><select name="<? echo $content[forms][policy][spam_modifies_subj]; ?>" id="">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select>
			</td>
			<td><input class="input-text" type="text" name="<? echo $content[forms][policy][spam_quarantine_to]; ?>" id="" value="" /></td>
			<td class="input-numeric"><input class="input-text input-numeric" type="text" name="<? echo $content[forms][policy][spam_tag_level]; ?>" id="" value="" /></td>
			<td class="input-numeric"><input class="input-text input-numeric" type="text" name="<? echo $content[forms][policy][spam_tag2_level]; ?>" id="" value="" /></td>
			<td class="input-numeric"><input class="input-text input-numeric" type="text" name="<? echo $content[forms][policy][spam_kill_level]; ?>" id="" value="" /></td>
		</tr>
	</table>
	<input class="input-submit" type="submit" name="<? echo $content[forms][policy][submit_add]; ?>" value="Add policy" />
</form>
<? } ?>
<!--
<? // foreach ($content[policies] as $k => $v) { ?>
		<tr>
			<td><? echo $v[policy_name]; ?></td>
			<td><? echo $v[virus_lover]; ?></td>
			<td><? echo $v[spam_lover]; ?></td>
			<td><? echo $v[banned_files_lover]; ?></td>
			<td><? echo $v[bad_header_lover]; ?></td>
			<td><? echo $v[bypass_virus_checks]; ?></td>
			<td><? echo $v[bypass_spam_checks]; ?></td>
			<td><? echo $v[bypass_banned_checks]; ?></td>
			<td><? echo $v[bypass_header_checks]; ?></td>
			<td><? echo $v[spam_modifies_subj]; ?></td>
			<td><? echo $v[spam_quarantine_to]; ?></td>
			<td><? echo $v[spam_tag_level]; ?></td>
			<td><? echo $v[spam_tag2_level]; ?></td>
			<td><? echo $v[spam_kill_level]; ?></td>
		</tr> -->
<? //} ?>
